var commentary = 
  {
  "intro": "<p>EtreCheck has an in-app purchase available called the Power User package. This upgrade provides a enhanced user interface, additional information, and links to information on the internet. The Power User package also includes access to EtreCheck’s automated solution generator. These insights were created from submissions of EtreCheck reports to that solution generator. After almost two years, we now have enough submissions to generate some statistics from those reports.</p><p>These reports may include duplicates and may not be applicable to the general population. They were generated from people running EtreCheck to correct some kind of problem. However, they are neither benchmarks or theoretical values. These are real-world results from people running EtreCheck.</p><p>If you have already run a recent version of EtreCheck, these insights may also include certain performance results from your computer. This will allow you to directly compare your computer’s performance with the performance of other people’s computers. Many people only have one computer and may not realize if that computer is performing poorly if they don’t have anything to compare it to.</p><p>These insights will also give you information about how other types of computers might compare to your computer. You can also learn how different types of configuration options, such as hard drives, can affect the performance of your computer. And finally, these insights can provide concrete facts instead of opinions about malware and 3rd party antivirus products.</p><p>Click the <strong>Next: Problems</strong> button to get started.</p>",
  "intro_free": "<p><strong>Note: </strong>This is a free preview of EtreCheck Insights. The Power User package provides 12 additional insight graphs. The Power User package also  adds corresponding performance values from your computer to the appropriate graphs.</p>",
  "problem": "<p>These are the problems that people identify when they generate EtreCheck reports. The problem selected doesn’t change how EtreCheck works. EtreCheck might not report the same problem. If there is a discrepancy between what you experience and what EtreCheck finds, that is an important clue about where the problem might be. For example, you may experience a computer that is “Too slow” but EtreCheck does not find any performance problem. This would probably mean that there is a software problem that affects only the user interface layer, not the lower-level operations where EtreCheck runs.</p><ul><li><strong>Too slow</strong>: The computer is running too slowly;</li><li><strong>Beachballing</strong>: The computer is displaying the “beachball” cursor;</li><li><strong>Apps are crashing</strong>: Apps are crashing;</li><li><strong>Restarting</strong>: The computer is unexpectedly restarting;</li><li><strong>Storage</strong>: Storage problems; and</li><li><strong>Other</strong>: Some other problem.</li></ul><p>The most commonly reported problem is performance. 35.8% of EtreCheck reports were classified as performance problems. Storage is a newly introduced category with relatively few reports.</p>",
  "problemdescription": "<p>EtreCheck is designed to be used for free. You generate an EtreCheck report and post the report on your favourite internet tech support forum. EtreCheck automatically removes any personally identifying information from the text report. The EtreCheck report will be a snapshot of the overall health of the computer when you generated the report.</p><p>The <strong>Problem Description</strong> gives you an opportunity to add your own observations and descriptions of the problems you are experiencing. This description is attached to the report itself and is included in the text report posted on the internet. This is very important information for helping someone else understand what is happening with your computer.</p><p>Sadly, few people include a description with their report. An EtreCheck report without a description is always going to be less useful than a report that includes a good description of the problem.</p>",
  "performance": "<p>Performance problems are a common complaint. EtreCheck’s performance tests may show different results from what you experience. This can be an important clue about where the problem actually is. 35.8% of EtreCheck reports were classified as performance problems, but only 23.7% of EtreCheck reports actually showed a performance problem. This suggests that at least 35% of the time, performance problems are likely caused by software or configuration problems and can be resolved relatively easily.</p><p>In some cases, your EtreCheck report may show performance problems that are caused by hardware failures. Hardware failures can only be corrected by repair at an Apple Store or Authorized Apple Service Centre. The only way to find out for sure is to eliminate any possible software causes. This graph shows that 76.4% of the time, EtreCheck reports good or excellent performance. In these cases, the problem can likely be corrected without having to take the computer in for service.</p>",
  "systemspeed": "<p>The time it takes to generate an EtreCheck report is a good estimate of the health of the computer. EtreCheck runs many lower-level Apple tools. If these tools take a long time to run, it will translate into a longer runtime for the overall EtreCheck report. Since these are actually operating system tools, this can be a good estimate of what your user experience might be when running any software.</p><p>People running an EtreCheck report usually have no idea what to expect from performance results like these. How do they know when their computer is running slower than it should be unless they have something to compare it to? That question is what these insights are designed to solve.</p><p>This chart shows the average time required to generate an EtreCheck report on a variety of computers that reported “good” or “excellent” performance. If your EtreCheck reports take longer than this to run, you may have a problem.</p><p>The new Mac Studio is the first Mac where 100% of computers have an Apple Silicon processor and an SSD. It’s performance is not averaged with older chips or mechanical hard drives. The Mac Studio is noticeably faster.</p>",
  "machine": "<p>These insights are generated from submissions of EtreCheck reports to our AI solution engine. While they can’t be proven to represent the entire population of users in the world, they are probably pretty close. 79.6% of computers used by EtreCheck users are either MacBook Pros or iMacs. Other models are relatively rare.</p>",
  "models": "<p>This is the graph of the different model types of your computer in the submissions of EtreCheck reports.</p>",
  "os": "<p>These insights contain data from September 2018 to December 2023. They show the changes in operating system usage over that time by EtreCheck users. Most users upgrade withing 2-3 months after a major new version of the operating system is released.</p><p>Substantial numbers of people are still using macOS 10.13 “High Sierra”, macOS 10.14 “Mojave” and macOS 11 “Big Sur”. macOS 10.13 is the last operating system version to support a wide range of legacy computers. macOS 10.14 is the last operating system version to support older 32-bit apps. macOS 11 is the last version to support computers from before 2015. These users may have to purchase new computers and/or software if they want to run newer operating system versions in the future.</p>",
  "cpu": "<p>At its World Wide Developers Conference in June 2020, Apple announced that it would be changing processors in future Macs from Intel’s chips to chips of its own design, which it called “Apple Silicon”. This was Apple’s 3rd major change of architecture for its Macintosh computers. The Mac originally used Motorola 68000 chips in the 1980s. Then, in the 1990s, Apple switched to the PowerPC chip. In 2006, Apple adopted Intel processors used in PCs. After the huge success of the iPhone and iPad, it was inevitable that Apple would switch to the ARM architecture for all of its products.</p><p>In 2020, Apple said that it would transition all of its Mac products to Apple Silicon within two years. This new processor, combined with modern computing architectures and fast SSDs, makes modern Macintosh computers much faster than any previous models. The whole idea of EtreCheck is to help Mac users get better performance, and a better experience, from their computers. We strongly recommend that all Mac users upgrade to Apple Silicon computers if they haven’t already done so.</p>",
  "oschanges": "<p>Sometimes people are suspicious of operating system upgrades. Will your computer have problems? Will it run more slowly? Will your 3rd party software and hardware still work? These insights answer some of these questions.</p><p>People sometimes complain that each version of macOS is more complicated than the previous version. One way to measure this complexity is the number of system tasks. The chart above shows system tasks growing from about 600 to over 800 across 7 operating system versions.</p><p>Since the release of versions of macOS 10.14 “Mojave” and macOS 10.15 “Catalina”, there has been an increase in complaints about running out of free hard drive storage and mysterious usage of storage under “other” and “system” categories. However, EtreCheck reports do not seem to show this behaviour.</p><p>Until recently, these operating system changes show a steady improvement in performance on EtreCheck reports.</p>",
  "av": "<p>Malware is a popular concern and topic for discussion. Do Macintosh computers really get viruses? Is 3rd party antivirus necessary? This is a complicated topic. Everyone has a different opinion. These insights from EtreCheck reports can provide some facts from real users’ computers.</p><p>The amount of malware detected by EtreCheck has changed over the past five years. Since March 2021, there has been a five-fold increase in the number of occurences of malware infections. Antivirus tools have had little effect.</p><p>It is important to remember that the macOS operating system is not vulnerable to malware. On macOS, software cannot install itself. Malware must trick the user into installing it. Apple’s built-in malware protections do a good job of protecting the computer from malware.</p>",
  "avvendors": "<p>These are the most popular 3rd party antivirus products. 42.4% of EtreCheck reports show no 3rd party antivirus products installed. On the other extreme, 19% of EtreCheck reports show multiple 3rd party antivirus products installed. The most popular 3rd party antivirus products are CleanMyMac and Malwarebytes. Bitdefender, Avast, and Sophos also have measurable usage.</p>",
  "topav_hasadware": "<p>Since EtreCheck also detects malware, these insights can show the performance of each major 3rd party antivirus tool. We can count how many EtreCheck reports showed files from each 3rd party antivirus product alongside malware files that the product should have removed. In this analysis, our control group is those EtreCheck reports that show malwware files, but no 3rd party antivirus products.</p><p>Of course, no 3rd party antivirus product is perfect and none claim to be. Some do better than others. Most of the most popular 3rd party antivirus tool show fewer cases of malware files than with no 3rd party antivirus product installed at all. The 8.47% of EtreCheck reports showing less popular 3rd party antivirus products actually have a higher rate of malware infection than those reports showing no 3rd party antivirus products at all. </p><p>It is important to remember that the macOS operating system includes built-in protection from unwanted software. But the user always has the ability to bypass warnings and install any software. Apple’s built-in malware protections do a good job of protecting the computer from malware.</p>",
  "tm": "<p>One of EtreCheck’s primary concerns is protecting your data. Everything else can be replaced. The best way to protect your data is with backups. We continue to see reports of people who lose months or years of work and do not have a backup. This chart clearly shows the problem, with 37.3% of EtreCheck reports showing no backup of any kind. This is a problem. The macOS operating system includes the easy-to-use Time Machine backup system. But even here, 15.1% of Time Machine backups are out-of-date. Only a small minority of EtreCheck reports show 3rd party backup products.</p>",
  "diskspeed": "<p>The most important factor for performance is hard drive speed. This chart shows the read and write speeds of various types of hard drives found in EtreCheck reports. The graph is a histogram showing the percentage of EtreCheck reports for different hard drive read and write speeds. The types of drives shown are mechanical, with actual spinning disks, solid-state drives (SSDs) that use flash storage, and “Fusion” drives that consist of a mechanical hard drive connected to a solid-state drive and acting as a single, virtual drive.</p><p>Mechanical hard drives are the slowest. Because they are mechanical, these drives wear out over time. They can slow down or simply fail one day. A few 3rd party SSD upgrades report themselves as mechanical drives and this discrepancy shows up on the chart.</p><p>There are two types of SSD drives. Older SSD drives and 3rd party upgrades are usually SATA. These drives are from 2 to 20 times faster than mechanical drives. Modern SSD drives are NVMe (NVM Express) drives. These drives are from 50 to 150 times faster than mechanical drives. Solid-state drives are more reliable than mechanical hard drives. Solid-state drives are relatively new and little is known about their longevity. They are expected to last for several years before degrading.</p><p>“Fusion” drives have an SSD component and are about as fast as SSDs for read operations. They provide the speed of an SSD, with the size and price of a mechanical hard drive. But for write speeds, “Fusion” drives are only as fast as the previous generation of SATA SSDs. Because these drives contain a mechanical component, their reliability and longevity is going to be the same as mechanical hard drives.</p>",
  "filesystem": "<p>EtreCheck also measures hard drive performance using file system speed. This test creates many small files and directories and then deletes them. From the hard drive’s perspective, that is all the computer does.</p><p>This chart shows the file system times of various types of hard drives found in EtreCheck reports. The graph is a histogram showing the percentage of EtreCheck reports that show different file system times.</p><p>In the file system test, there is less difference between mechanical and solid-state drives. EtreCheck’s file system test times out after 120 seconds. Any hard drive that fails this test will report a file system time of 120 seconds or higher. Failures can be caused by hardware failures or interference from software that makes low-level system modifications.</p>",
  "hdfailure": "<p>One common problem reported on EtreCheck reports is “hard drive failure”. EtreCheck measures the read and write speed of your startup drive, as well the rate of operations it can perform over time. On mechanical hard drives, failures are usually due to very slow read and write speeds. Failures are to be expected in mechanical hard drives that wear out over time. As solid state drives become more common, there should be fewer failures because solid state drives have no moving parts to wear out.</p><p>While there definitely are fewer failures with solid state drives, there are also some unusual results from EtreCheck file system test. This test creates and deletes many directories and small files. It should complete in about 30 seconds on either a mechanical or a solid state drive. If the test takes longer than 2 minutes, it is stopped and treated as a failure. Different types of computers are showing different failure rates. Overall, less than 6% of computers with solid state drives fail the file system test. But almost 20% of EtreCheck reports from MacBook Airs show a file system test failure. These failures in from the first generation of MacBook Airs.</p><p>Obviously these MacBook Air hard drives have not “failed”. Their read and write speeds are not much different than other computers showing normal test results. Other computers that show a file system test failure also show a 50% reduction in read and write speeds. But there is definitely something wrong. People are running EtreCheck and these reports do show other performance problems.</p><p>In response to these insights, EtreCheck will report fewer instances of “failing hard drive”. Instead, it will show “hard drive too slow” and provide additional solutions for a better user experience.</p>",
  "topmods": "<p>One of the primary features of EtreCheck is to show any 3rd party system modifications. Sometimes these system modifications provide useful features. But they can also cause problems. Since they are located in hidden directories and constantly run in the background, they can be difficult to diagnose and debug. The more system modifications that you have installed, the more difficult it will be to isolate which one of them is causing a particular problem.</p><p>These are the developers of the most popular system modifications found in EtreCheck reports. Almost 1700 developers are included, with most appearing on only a few reports as “other”. Files that are not signed show a “?” as the developer. These files could be old, incompatible, and cause problems. They should be reviewed.</p><p>Otherwise, the most popular system modifications are from Adobe, Microsoft, and Google, as one might expect. 8.6% of system modifcations come from the Mac App Store. The only system modifications possible with App Store apps are Login Items, which are the least problematic of any type of system modification. </p>",
  "systemmods": "<p>This graph shows the impact of the number of system modification files that show up on EtreCheck reports. Most reports have 10-30 system modification files installed. As the number of system modification files increases, the overall EtreCheck report runtime also increases. The average EtreCheck performance score decreases. Both the runtime and performance score are average values. Individual values may be much higher or much lower.</p><p>This graph only measures the performance impact of system modifications. These reports are all from people running EtreCheck presumably because they have a problem. This graph doesn’t show how much effort people have to go through to find what is causing their problem.</p><p>This graph also doesn't show how much effort people have to go through to remove any potentially problematic system modifications. Most files that show up on an EtreCheck report cannot be removed by dragging an app to the trash. The only safe way to remove these files is with official uninstallers or uninstallation instructions provided directly by the developers. Not all developers even provide uninstallers. Sometimes their instructions are incorrect.</p><p>These types of system modifications are not allowed in Mac App Store apps. Apps from the Mac App Store can still run constantly in the background, and they can still cause problems, but they are much easier to uninstall. Just run LaunchPad from the Dock. Then, click and hold on any app icon. An “X” button will appear in the upper left corner of each Mac App Store app icon. Click the button to uninstall the app.</p>",
  "more": "<p>We are continuing to evaluate our data to look for additional insights. Please let us know if you have any questions about these insights.</p><p>Future updates to EtreCheck may include new insights. Please let us know if you have any specific questions that you think future insights could help answer.</p>",
  "more_free": "<p>This is a free preview of EtreCheck Insights. The Power User package provides the following additional graphs:</p><ul><li>Average EtreCheck runtime per computer type;</li><li>Most popular computer types;</li><li>Most popular models of your computer;</li><li>Operating system version usage over time;</li><li>Changes in operating system versions;</li><li>Effect on file system performance from 3rd party security products;</li><li>Effect on EtreCheck performance from 3rd party security products;</li><li>Effect on EtreCheck runtime from 3rd party security products;</li><li>Time Machine and 3rd party backup usage;</li><li>Hard drive speed histogram;</li><li>File system speed histogram; and</li><li>Most popular system modifications.</li></ul><p>Additionally, the Power User package adds corresponding performance values from your computer to the appropriate graphs.</p><p>Click the <strong>Buy</strong> button to purchase the Power User package.</p>"
  };

var avvendors = 
  {
  "adguard":"AdGuard",
  "airo":"Airo",
  "apple":"Apple",
  "antivirusone":"Antivirus One",
  "avast":"Avast",
  "avg":"AVG",
  "avira":"Avira",
  "bitdefender":"Bitdefender",
  "carbonblack":"Carbon Black",
  "clamxav":"ClamXAV",
  "comodo":"Comodo",
  "crowdstrike":"CrowdStrike",
  "cylance":"Cylance",
  "drweb":"Dr.Web",
  "enigmasoft":"EnigmaSoft",
  "eset":"ESET",
  "fireeye":"FireEye",
  "fsecure":"F-Secure",
  "iantivirus":"iAntiVirus",
  "intego":"Intego",
  "kaspersky":"Kaspersky",
  "mackeeper":"MacKeeper",
  "malwarebytes":"Malwarebytes",
  "mcafee":"McAfee",
  "myantivirus":"MyAntivirus",
  "nprotect":"nProtect",
  "objectivesee":"Objective-See",
  "oneperiodic":"One Periodic",
  "pandasecurity":"Panda Security",
  "pulsesecure":"Pulse Secure",
  "safenet":"SafeNet",
  "securemac":"SecureMac",
  "sentinelone":"SentinelOne",
  "sophos":"Sophos",
  "surfshark":"Surfshark",
  "symantec":"Symantec",
  "totalav":"TotalAV",
  "trendmicro":"Trend Micro",
  "trustdefender":"TrustDefender",
  "trusteer":"Trusteer",
  "trustwave":"Trustwave",
  "watchguard":"WatchGuard",
  "webroot":"Webroot",
  "websense":"Websense",
  "wontok":"Wontok",
  "zdziarski":"Zdziarski",
  "cleanmymac":"CleanMyMac",
  "bullguard":"BullGuard",
  "defender":"Microsoft Defender",
  "none":"None",
  "other":"Other",
  "multiple":"Multiple",
  };

