<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet 
  version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="xml" indent="yes" encoding="UTF-8"/>

  <!-- MAS or Pro? -->
  <xsl:param name="apptype"/>

  <!-- Hide unsigned files. -->
  <xsl:param name="hideunsignedfiles">false</xsl:param>

  <!-- Do I have full drive access? -->
  <xsl:variable
    name="fulldriveaccess" select="/etrecheck/header/fulldriveaccess"/>
  
  <!-- English is fine for this. -->
  <xsl:variable name="issues" select="document('Issues_en.xml')/issues"/>

  <xsl:include href="Issues.xsl" />

  <!-- This is just for issues. -->
  <xsl:template match="/etrecheck">
  
    <issues>
      <xsl:call-template name="major"/>
      <xsl:call-template name="minor"/>
    </issues>
    
  </xsl:template>

  <!-- Major issues. -->
  <xsl:template name="major">
  
    <major>
      <xsl:call-template name="majorissues"/>
    </major>

  </xsl:template>
  
  <!-- Minor issues. -->
  <xsl:template name="minor">
  
    <minor>
      <xsl:call-template name="minorissues"/>
    </minor>
  
  </xsl:template>
  
  <!-- Emit an issue. -->
  <xsl:template name="issue">
    <xsl:param name="type"/>
    <xsl:param name="name"/>
    
    <xsl:variable
      name="issuenodes" select="$issues/*[local-name() = $type]"/>
    
    <xsl:variable
      name="issue" select="$issuenodes/*[@id = $name]"/>

    <issue>
      <xsl:value-of select="$issue/title"/>
    </issue>

  </xsl:template>

  <xsl:include href="Library.xsl" />

</xsl:stylesheet>
